using System;
using System.Collections.Generic;
using System.Text;

namespace RecordFiltering
{
    public class CommentInfo : IComparable
    {
        public CommentInfo(string _commentId, string _commentStr, DateTime _creationDateTime, string _userId)
        {
            this._commentId = _commentId;
            this._commentStr = _commentStr;
            this._creationDateTime = _creationDateTime;
            this._userId = _userId;
        }

        private string _commentId = string.Empty;
        public string CommentId
        {
            get { return _commentId; }
            set { _commentId = value; }
        }
        
        private string _commentStr = string.Empty;
        public string CommentStr
        {
            get { return _commentStr; }
            set { _commentStr = value; }
        }
        private DateTime _creationDateTime = DateTime.Now;
        public DateTime CreationDateTime
        {
            get { return _creationDateTime; }
            set { _creationDateTime = value; }
        }
        private string _userId = string.Empty;
        public string UserId
        {
            get { return _userId; }
            set { _userId = value; }
        }

        #region IComparable Members
        /// <summary>
        /// 
        /// </summary>
        /// <param name="obj"></param>
        /// <returns></returns>
        public int CompareTo(object obj)
        {
            CommentInfo _info = obj as CommentInfo;
            if (_info == null)
            {
                return -1;
            }
            else
            {
                return _info.CreationDateTime.CompareTo(this.CreationDateTime);
            }
        }

        #endregion
    }
}
